---
type: api
title: Get connector information
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-get-actions-connector-id
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-get-actions-connector-id
products:
  - Kibana
---

# Get connector information

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/actions/connector/{id}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#basicauth)

#### Path Parameters

- `id` (string)
  An identifier for the connector.

## Responses

#### `200`

Indicates a successful call.

`application/json`

- `auth_mode` (enum)
  The authentication mode used for the connector.
  Values: `shared`, `per-user`
- `config` (map string to object)
- `connector_type_id` (string)
  The connector type identifier.
- `id` (string)
  The identifier for the connector.
- `is_connector_type_deprecated` (boolean)
  Indicates whether the connector type is deprecated.
- `is_deprecated` (boolean)
  Indicates whether the connector is deprecated.
- `is_missing_secrets` (boolean)
  Indicates whether the connector is missing secrets.
- `is_preconfigured` (boolean)
  Indicates whether the connector is preconfigured. If true, the `config` and `is_missing_secrets` properties are omitted from the response.
- `is_system_action` (boolean)
  Indicates whether the connector is used for system actions.
- `name` (string)
   The name of the connector.
#### `403`

Indicates that this call is forbidden.

## Code Examples

#### Console

```console
GET /api/actions/connector/{id}
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/actions/connector/{id}"
```

## Response Examples

#### Get connector details.

```json
{
  "id": "df770e30-8b8b-11ed-a780-3b746c987a81",
  "name": "my_server_log_connector",
  "config": {},
  "connector_type_id": ".server-log",
  "is_preconfigured": false,
  "is_deprecated": false,
  "is_missing_secrets": false,
  "is_system_action": false
}
```

